// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: AnalogResets.proto

package ru.omnicomm.pegasus.messaging.settings.analogSensor;

public final class AnalogResetsSettingsParser {
  private AnalogResetsSettingsParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public interface AnalogResetsSettingsOrBuilder
      extends com.google.protobuf.MessageOrBuilder {
    
    // optional int64 sourceId = 1;
    boolean hasSourceId();
    long getSourceId();
    
    // required int64 messageType = 2 [default = 524];
    boolean hasMessageType();
    long getMessageType();
    
    // optional int32 messageTime = 3;
    boolean hasMessageTime();
    int getMessageTime();
    
    // optional int64 timeStamp = 5;
    boolean hasTimeStamp();
    long getTimeStamp();
    
    // optional int32 messageBlock = 6;
    boolean hasMessageBlock();
    int getMessageBlock();
    
    // optional int32 idleMAX = 101;
    boolean hasIdleMAX();
    int getIdleMAX();
  }
  public static final class AnalogResetsSettings extends
      com.google.protobuf.GeneratedMessage
      implements AnalogResetsSettingsOrBuilder {
    // Use AnalogResetsSettings.newBuilder() to construct.
    private AnalogResetsSettings(Builder builder) {
      super(builder);
    }
    private AnalogResetsSettings(boolean noInit) {}
    
    private static final AnalogResetsSettings defaultInstance;
    public static AnalogResetsSettings getDefaultInstance() {
      return defaultInstance;
    }
    
    public AnalogResetsSettings getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_fieldAccessorTable;
    }
    
    private int bitField0_;
    // optional int64 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private long sourceId_;
    public boolean hasSourceId() {
      return ((bitField0_ & 0x00000001) == 0x00000001);
    }
    public long getSourceId() {
      return sourceId_;
    }
    
    // required int64 messageType = 2 [default = 524];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private long messageType_;
    public boolean hasMessageType() {
      return ((bitField0_ & 0x00000002) == 0x00000002);
    }
    public long getMessageType() {
      return messageType_;
    }
    
    // optional int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private int messageTime_;
    public boolean hasMessageTime() {
      return ((bitField0_ & 0x00000004) == 0x00000004);
    }
    public int getMessageTime() {
      return messageTime_;
    }
    
    // optional int64 timeStamp = 5;
    public static final int TIMESTAMP_FIELD_NUMBER = 5;
    private long timeStamp_;
    public boolean hasTimeStamp() {
      return ((bitField0_ & 0x00000008) == 0x00000008);
    }
    public long getTimeStamp() {
      return timeStamp_;
    }
    
    // optional int32 messageBlock = 6;
    public static final int MESSAGEBLOCK_FIELD_NUMBER = 6;
    private int messageBlock_;
    public boolean hasMessageBlock() {
      return ((bitField0_ & 0x00000010) == 0x00000010);
    }
    public int getMessageBlock() {
      return messageBlock_;
    }
    
    // optional int32 idleMAX = 101;
    public static final int IDLEMAX_FIELD_NUMBER = 101;
    private int idleMAX_;
    public boolean hasIdleMAX() {
      return ((bitField0_ & 0x00000020) == 0x00000020);
    }
    public int getIdleMAX() {
      return idleMAX_;
    }
    
    private void initFields() {
      sourceId_ = 0L;
      messageType_ = 524L;
      messageTime_ = 0;
      timeStamp_ = 0L;
      messageBlock_ = 0;
      idleMAX_ = 0;
    }
    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized != -1) return isInitialized == 1;
      
      if (!hasMessageType()) {
        memoizedIsInitialized = 0;
        return false;
      }
      memoizedIsInitialized = 1;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        output.writeInt64(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        output.writeInt64(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        output.writeInt32(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        output.writeInt64(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        output.writeInt32(6, messageBlock_);
      }
      if (((bitField0_ & 0x00000020) == 0x00000020)) {
        output.writeInt32(101, idleMAX_);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, messageBlock_);
      }
      if (((bitField0_ & 0x00000020) == 0x00000020)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, idleMAX_);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    private static final long serialVersionUID = 0L;
    @java.lang.Override
    protected java.lang.Object writeReplace()
        throws java.io.ObjectStreamException {
      return super.writeReplace();
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder>
       implements ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettingsOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_fieldAccessorTable;
      }
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }
      
      private Builder(BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        }
      }
      private static Builder create() {
        return new Builder();
      }
      
      public Builder clear() {
        super.clear();
        sourceId_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000001);
        messageType_ = 524L;
        bitField0_ = (bitField0_ & ~0x00000002);
        messageTime_ = 0;
        bitField0_ = (bitField0_ & ~0x00000004);
        timeStamp_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000008);
        messageBlock_ = 0;
        bitField0_ = (bitField0_ & ~0x00000010);
        idleMAX_ = 0;
        bitField0_ = (bitField0_ & ~0x00000020);
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(buildPartial());
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings.getDefaultInstance();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings build() {
        ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }
      
      private ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return result;
      }
      
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings buildPartial() {
        ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings result = new ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings(this);
        int from_bitField0_ = bitField0_;
        int to_bitField0_ = 0;
        if (((from_bitField0_ & 0x00000001) == 0x00000001)) {
          to_bitField0_ |= 0x00000001;
        }
        result.sourceId_ = sourceId_;
        if (((from_bitField0_ & 0x00000002) == 0x00000002)) {
          to_bitField0_ |= 0x00000002;
        }
        result.messageType_ = messageType_;
        if (((from_bitField0_ & 0x00000004) == 0x00000004)) {
          to_bitField0_ |= 0x00000004;
        }
        result.messageTime_ = messageTime_;
        if (((from_bitField0_ & 0x00000008) == 0x00000008)) {
          to_bitField0_ |= 0x00000008;
        }
        result.timeStamp_ = timeStamp_;
        if (((from_bitField0_ & 0x00000010) == 0x00000010)) {
          to_bitField0_ |= 0x00000010;
        }
        result.messageBlock_ = messageBlock_;
        if (((from_bitField0_ & 0x00000020) == 0x00000020)) {
          to_bitField0_ |= 0x00000020;
        }
        result.idleMAX_ = idleMAX_;
        result.bitField0_ = to_bitField0_;
        onBuilt();
        return result;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasTimeStamp()) {
          setTimeStamp(other.getTimeStamp());
        }
        if (other.hasMessageBlock()) {
          setMessageBlock(other.getMessageBlock());
        }
        if (other.hasIdleMAX()) {
          setIdleMAX(other.getIdleMAX());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public final boolean isInitialized() {
        if (!hasMessageType()) {
          
          return false;
        }
        return true;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              onChanged();
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                onChanged();
                return this;
              }
              break;
            }
            case 8: {
              bitField0_ |= 0x00000001;
              sourceId_ = input.readInt64();
              break;
            }
            case 16: {
              bitField0_ |= 0x00000002;
              messageType_ = input.readInt64();
              break;
            }
            case 24: {
              bitField0_ |= 0x00000004;
              messageTime_ = input.readInt32();
              break;
            }
            case 40: {
              bitField0_ |= 0x00000008;
              timeStamp_ = input.readInt64();
              break;
            }
            case 48: {
              bitField0_ |= 0x00000010;
              messageBlock_ = input.readInt32();
              break;
            }
            case 808: {
              bitField0_ |= 0x00000020;
              idleMAX_ = input.readInt32();
              break;
            }
          }
        }
      }
      
      private int bitField0_;
      
      // optional int64 sourceId = 1;
      private long sourceId_ ;
      public boolean hasSourceId() {
        return ((bitField0_ & 0x00000001) == 0x00000001);
      }
      public long getSourceId() {
        return sourceId_;
      }
      public Builder setSourceId(long value) {
        bitField0_ |= 0x00000001;
        sourceId_ = value;
        onChanged();
        return this;
      }
      public Builder clearSourceId() {
        bitField0_ = (bitField0_ & ~0x00000001);
        sourceId_ = 0L;
        onChanged();
        return this;
      }
      
      // required int64 messageType = 2 [default = 524];
      private long messageType_ = 524L;
      public boolean hasMessageType() {
        return ((bitField0_ & 0x00000002) == 0x00000002);
      }
      public long getMessageType() {
        return messageType_;
      }
      public Builder setMessageType(long value) {
        bitField0_ |= 0x00000002;
        messageType_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageType() {
        bitField0_ = (bitField0_ & ~0x00000002);
        messageType_ = 524L;
        onChanged();
        return this;
      }
      
      // optional int32 messageTime = 3;
      private int messageTime_ ;
      public boolean hasMessageTime() {
        return ((bitField0_ & 0x00000004) == 0x00000004);
      }
      public int getMessageTime() {
        return messageTime_;
      }
      public Builder setMessageTime(int value) {
        bitField0_ |= 0x00000004;
        messageTime_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageTime() {
        bitField0_ = (bitField0_ & ~0x00000004);
        messageTime_ = 0;
        onChanged();
        return this;
      }
      
      // optional int64 timeStamp = 5;
      private long timeStamp_ ;
      public boolean hasTimeStamp() {
        return ((bitField0_ & 0x00000008) == 0x00000008);
      }
      public long getTimeStamp() {
        return timeStamp_;
      }
      public Builder setTimeStamp(long value) {
        bitField0_ |= 0x00000008;
        timeStamp_ = value;
        onChanged();
        return this;
      }
      public Builder clearTimeStamp() {
        bitField0_ = (bitField0_ & ~0x00000008);
        timeStamp_ = 0L;
        onChanged();
        return this;
      }
      
      // optional int32 messageBlock = 6;
      private int messageBlock_ ;
      public boolean hasMessageBlock() {
        return ((bitField0_ & 0x00000010) == 0x00000010);
      }
      public int getMessageBlock() {
        return messageBlock_;
      }
      public Builder setMessageBlock(int value) {
        bitField0_ |= 0x00000010;
        messageBlock_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageBlock() {
        bitField0_ = (bitField0_ & ~0x00000010);
        messageBlock_ = 0;
        onChanged();
        return this;
      }
      
      // optional int32 idleMAX = 101;
      private int idleMAX_ ;
      public boolean hasIdleMAX() {
        return ((bitField0_ & 0x00000020) == 0x00000020);
      }
      public int getIdleMAX() {
        return idleMAX_;
      }
      public Builder setIdleMAX(int value) {
        bitField0_ |= 0x00000020;
        idleMAX_ = value;
        onChanged();
        return this;
      }
      public Builder clearIdleMAX() {
        bitField0_ = (bitField0_ & ~0x00000020);
        idleMAX_ = 0;
        onChanged();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettings)
    }
    
    static {
      defaultInstance = new AnalogResetsSettings(true);
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettings)
  }
  
  public interface AnalogResetsBufferOrBuilder
      extends com.google.protobuf.MessageOrBuilder {
    
    // optional int64 sourceId = 1;
    boolean hasSourceId();
    long getSourceId();
    
    // required int64 messageType = 2 [default = 525];
    boolean hasMessageType();
    long getMessageType();
    
    // optional int32 messageTime = 3;
    boolean hasMessageTime();
    int getMessageTime();
    
    // optional int64 timeStamp = 5;
    boolean hasTimeStamp();
    long getTimeStamp();
    
    // optional int32 messageBlock = 6;
    boolean hasMessageBlock();
    int getMessageBlock();
    
    // optional int32 idleMAX = 101;
    boolean hasIdleMAX();
    int getIdleMAX();
    
    // repeated .ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer.Data buffer = 105;
    java.util.List<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data> 
        getBufferList();
    ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data getBuffer(int index);
    int getBufferCount();
    java.util.List<? extends ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder> 
        getBufferOrBuilderList();
    ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder getBufferOrBuilder(
        int index);
  }
  public static final class AnalogResetsBuffer extends
      com.google.protobuf.GeneratedMessage
      implements AnalogResetsBufferOrBuilder {
    // Use AnalogResetsBuffer.newBuilder() to construct.
    private AnalogResetsBuffer(Builder builder) {
      super(builder);
    }
    private AnalogResetsBuffer(boolean noInit) {}
    
    private static final AnalogResetsBuffer defaultInstance;
    public static AnalogResetsBuffer getDefaultInstance() {
      return defaultInstance;
    }
    
    public AnalogResetsBuffer getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_fieldAccessorTable;
    }
    
    public interface DataOrBuilder
        extends com.google.protobuf.MessageOrBuilder {
      
      // optional int64 dataId = 1;
      boolean hasDataId();
      long getDataId();
      
      // optional int32 value = 2;
      boolean hasValue();
      int getValue();
    }
    public static final class Data extends
        com.google.protobuf.GeneratedMessage
        implements DataOrBuilder {
      // Use Data.newBuilder() to construct.
      private Data(Builder builder) {
        super(builder);
      }
      private Data(boolean noInit) {}
      
      private static final Data defaultInstance;
      public static Data getDefaultInstance() {
        return defaultInstance;
      }
      
      public Data getDefaultInstanceForType() {
        return defaultInstance;
      }
      
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_fieldAccessorTable;
      }
      
      private int bitField0_;
      // optional int64 dataId = 1;
      public static final int DATAID_FIELD_NUMBER = 1;
      private long dataId_;
      public boolean hasDataId() {
        return ((bitField0_ & 0x00000001) == 0x00000001);
      }
      public long getDataId() {
        return dataId_;
      }
      
      // optional int32 value = 2;
      public static final int VALUE_FIELD_NUMBER = 2;
      private int value_;
      public boolean hasValue() {
        return ((bitField0_ & 0x00000002) == 0x00000002);
      }
      public int getValue() {
        return value_;
      }
      
      private void initFields() {
        dataId_ = 0L;
        value_ = 0;
      }
      private byte memoizedIsInitialized = -1;
      public final boolean isInitialized() {
        byte isInitialized = memoizedIsInitialized;
        if (isInitialized != -1) return isInitialized == 1;
        
        memoizedIsInitialized = 1;
        return true;
      }
      
      public void writeTo(com.google.protobuf.CodedOutputStream output)
                          throws java.io.IOException {
        getSerializedSize();
        if (((bitField0_ & 0x00000001) == 0x00000001)) {
          output.writeInt64(1, dataId_);
        }
        if (((bitField0_ & 0x00000002) == 0x00000002)) {
          output.writeInt32(2, value_);
        }
        getUnknownFields().writeTo(output);
      }
      
      private int memoizedSerializedSize = -1;
      public int getSerializedSize() {
        int size = memoizedSerializedSize;
        if (size != -1) return size;
      
        size = 0;
        if (((bitField0_ & 0x00000001) == 0x00000001)) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt64Size(1, dataId_);
        }
        if (((bitField0_ & 0x00000002) == 0x00000002)) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(2, value_);
        }
        size += getUnknownFields().getSerializedSize();
        memoizedSerializedSize = size;
        return size;
      }
      
      private static final long serialVersionUID = 0L;
      @java.lang.Override
      protected java.lang.Object writeReplace()
          throws java.io.ObjectStreamException {
        return super.writeReplace();
      }
      
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(
          com.google.protobuf.ByteString data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(
          com.google.protobuf.ByteString data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(byte[] data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(
          byte[] data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(java.io.InputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseDelimitedFrom(java.io.InputStream input)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseDelimitedFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(
          com.google.protobuf.CodedInputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data parseFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      
      public static Builder newBuilder() { return Builder.create(); }
      public Builder newBuilderForType() { return newBuilder(); }
      public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data prototype) {
        return newBuilder().mergeFrom(prototype);
      }
      public Builder toBuilder() { return newBuilder(this); }
      
      @java.lang.Override
      protected Builder newBuilderForType(
          com.google.protobuf.GeneratedMessage.BuilderParent parent) {
        Builder builder = new Builder(parent);
        return builder;
      }
      public static final class Builder extends
          com.google.protobuf.GeneratedMessage.Builder<Builder>
         implements ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder {
        public static final com.google.protobuf.Descriptors.Descriptor
            getDescriptor() {
          return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_descriptor;
        }
        
        protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
            internalGetFieldAccessorTable() {
          return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_fieldAccessorTable;
        }
        
        // Construct using ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.newBuilder()
        private Builder() {
          maybeForceBuilderInitialization();
        }
        
        private Builder(BuilderParent parent) {
          super(parent);
          maybeForceBuilderInitialization();
        }
        private void maybeForceBuilderInitialization() {
          if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
          }
        }
        private static Builder create() {
          return new Builder();
        }
        
        public Builder clear() {
          super.clear();
          dataId_ = 0L;
          bitField0_ = (bitField0_ & ~0x00000001);
          value_ = 0;
          bitField0_ = (bitField0_ & ~0x00000002);
          return this;
        }
        
        public Builder clone() {
          return create().mergeFrom(buildPartial());
        }
        
        public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
          return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.getDescriptor();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data getDefaultInstanceForType() {
          return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.getDefaultInstance();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data build() {
          ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data result = buildPartial();
          if (!result.isInitialized()) {
            throw newUninitializedMessageException(result);
          }
          return result;
        }
        
        private ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data buildParsed()
            throws com.google.protobuf.InvalidProtocolBufferException {
          ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data result = buildPartial();
          if (!result.isInitialized()) {
            throw newUninitializedMessageException(
              result).asInvalidProtocolBufferException();
          }
          return result;
        }
        
        public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data buildPartial() {
          ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data result = new ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data(this);
          int from_bitField0_ = bitField0_;
          int to_bitField0_ = 0;
          if (((from_bitField0_ & 0x00000001) == 0x00000001)) {
            to_bitField0_ |= 0x00000001;
          }
          result.dataId_ = dataId_;
          if (((from_bitField0_ & 0x00000002) == 0x00000002)) {
            to_bitField0_ |= 0x00000002;
          }
          result.value_ = value_;
          result.bitField0_ = to_bitField0_;
          onBuilt();
          return result;
        }
        
        public Builder mergeFrom(com.google.protobuf.Message other) {
          if (other instanceof ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data) {
            return mergeFrom((ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data)other);
          } else {
            super.mergeFrom(other);
            return this;
          }
        }
        
        public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data other) {
          if (other == ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.getDefaultInstance()) return this;
          if (other.hasDataId()) {
            setDataId(other.getDataId());
          }
          if (other.hasValue()) {
            setValue(other.getValue());
          }
          this.mergeUnknownFields(other.getUnknownFields());
          return this;
        }
        
        public final boolean isInitialized() {
          return true;
        }
        
        public Builder mergeFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
          com.google.protobuf.UnknownFieldSet.Builder unknownFields =
            com.google.protobuf.UnknownFieldSet.newBuilder(
              this.getUnknownFields());
          while (true) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                this.setUnknownFields(unknownFields.build());
                onChanged();
                return this;
              default: {
                if (!parseUnknownField(input, unknownFields,
                                       extensionRegistry, tag)) {
                  this.setUnknownFields(unknownFields.build());
                  onChanged();
                  return this;
                }
                break;
              }
              case 8: {
                bitField0_ |= 0x00000001;
                dataId_ = input.readInt64();
                break;
              }
              case 16: {
                bitField0_ |= 0x00000002;
                value_ = input.readInt32();
                break;
              }
            }
          }
        }
        
        private int bitField0_;
        
        // optional int64 dataId = 1;
        private long dataId_ ;
        public boolean hasDataId() {
          return ((bitField0_ & 0x00000001) == 0x00000001);
        }
        public long getDataId() {
          return dataId_;
        }
        public Builder setDataId(long value) {
          bitField0_ |= 0x00000001;
          dataId_ = value;
          onChanged();
          return this;
        }
        public Builder clearDataId() {
          bitField0_ = (bitField0_ & ~0x00000001);
          dataId_ = 0L;
          onChanged();
          return this;
        }
        
        // optional int32 value = 2;
        private int value_ ;
        public boolean hasValue() {
          return ((bitField0_ & 0x00000002) == 0x00000002);
        }
        public int getValue() {
          return value_;
        }
        public Builder setValue(int value) {
          bitField0_ |= 0x00000002;
          value_ = value;
          onChanged();
          return this;
        }
        public Builder clearValue() {
          bitField0_ = (bitField0_ & ~0x00000002);
          value_ = 0;
          onChanged();
          return this;
        }
        
        // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer.Data)
      }
      
      static {
        defaultInstance = new Data(true);
        defaultInstance.initFields();
      }
      
      // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer.Data)
    }
    
    private int bitField0_;
    // optional int64 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private long sourceId_;
    public boolean hasSourceId() {
      return ((bitField0_ & 0x00000001) == 0x00000001);
    }
    public long getSourceId() {
      return sourceId_;
    }
    
    // required int64 messageType = 2 [default = 525];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private long messageType_;
    public boolean hasMessageType() {
      return ((bitField0_ & 0x00000002) == 0x00000002);
    }
    public long getMessageType() {
      return messageType_;
    }
    
    // optional int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private int messageTime_;
    public boolean hasMessageTime() {
      return ((bitField0_ & 0x00000004) == 0x00000004);
    }
    public int getMessageTime() {
      return messageTime_;
    }
    
    // optional int64 timeStamp = 5;
    public static final int TIMESTAMP_FIELD_NUMBER = 5;
    private long timeStamp_;
    public boolean hasTimeStamp() {
      return ((bitField0_ & 0x00000008) == 0x00000008);
    }
    public long getTimeStamp() {
      return timeStamp_;
    }
    
    // optional int32 messageBlock = 6;
    public static final int MESSAGEBLOCK_FIELD_NUMBER = 6;
    private int messageBlock_;
    public boolean hasMessageBlock() {
      return ((bitField0_ & 0x00000010) == 0x00000010);
    }
    public int getMessageBlock() {
      return messageBlock_;
    }
    
    // optional int32 idleMAX = 101;
    public static final int IDLEMAX_FIELD_NUMBER = 101;
    private int idleMAX_;
    public boolean hasIdleMAX() {
      return ((bitField0_ & 0x00000020) == 0x00000020);
    }
    public int getIdleMAX() {
      return idleMAX_;
    }
    
    // repeated .ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer.Data buffer = 105;
    public static final int BUFFER_FIELD_NUMBER = 105;
    private java.util.List<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data> buffer_;
    public java.util.List<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data> getBufferList() {
      return buffer_;
    }
    public java.util.List<? extends ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder> 
        getBufferOrBuilderList() {
      return buffer_;
    }
    public int getBufferCount() {
      return buffer_.size();
    }
    public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data getBuffer(int index) {
      return buffer_.get(index);
    }
    public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder getBufferOrBuilder(
        int index) {
      return buffer_.get(index);
    }
    
    private void initFields() {
      sourceId_ = 0L;
      messageType_ = 525L;
      messageTime_ = 0;
      timeStamp_ = 0L;
      messageBlock_ = 0;
      idleMAX_ = 0;
      buffer_ = java.util.Collections.emptyList();
    }
    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized != -1) return isInitialized == 1;
      
      if (!hasMessageType()) {
        memoizedIsInitialized = 0;
        return false;
      }
      memoizedIsInitialized = 1;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        output.writeInt64(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        output.writeInt64(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        output.writeInt32(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        output.writeInt64(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        output.writeInt32(6, messageBlock_);
      }
      if (((bitField0_ & 0x00000020) == 0x00000020)) {
        output.writeInt32(101, idleMAX_);
      }
      for (int i = 0; i < buffer_.size(); i++) {
        output.writeMessage(105, buffer_.get(i));
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, messageBlock_);
      }
      if (((bitField0_ & 0x00000020) == 0x00000020)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, idleMAX_);
      }
      for (int i = 0; i < buffer_.size(); i++) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(105, buffer_.get(i));
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    private static final long serialVersionUID = 0L;
    @java.lang.Override
    protected java.lang.Object writeReplace()
        throws java.io.ObjectStreamException {
      return super.writeReplace();
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder>
       implements ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBufferOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_fieldAccessorTable;
      }
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }
      
      private Builder(BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
          getBufferFieldBuilder();
        }
      }
      private static Builder create() {
        return new Builder();
      }
      
      public Builder clear() {
        super.clear();
        sourceId_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000001);
        messageType_ = 525L;
        bitField0_ = (bitField0_ & ~0x00000002);
        messageTime_ = 0;
        bitField0_ = (bitField0_ & ~0x00000004);
        timeStamp_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000008);
        messageBlock_ = 0;
        bitField0_ = (bitField0_ & ~0x00000010);
        idleMAX_ = 0;
        bitField0_ = (bitField0_ & ~0x00000020);
        if (bufferBuilder_ == null) {
          buffer_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000040);
        } else {
          bufferBuilder_.clear();
        }
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(buildPartial());
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.getDefaultInstance();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer build() {
        ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }
      
      private ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return result;
      }
      
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer buildPartial() {
        ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer result = new ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer(this);
        int from_bitField0_ = bitField0_;
        int to_bitField0_ = 0;
        if (((from_bitField0_ & 0x00000001) == 0x00000001)) {
          to_bitField0_ |= 0x00000001;
        }
        result.sourceId_ = sourceId_;
        if (((from_bitField0_ & 0x00000002) == 0x00000002)) {
          to_bitField0_ |= 0x00000002;
        }
        result.messageType_ = messageType_;
        if (((from_bitField0_ & 0x00000004) == 0x00000004)) {
          to_bitField0_ |= 0x00000004;
        }
        result.messageTime_ = messageTime_;
        if (((from_bitField0_ & 0x00000008) == 0x00000008)) {
          to_bitField0_ |= 0x00000008;
        }
        result.timeStamp_ = timeStamp_;
        if (((from_bitField0_ & 0x00000010) == 0x00000010)) {
          to_bitField0_ |= 0x00000010;
        }
        result.messageBlock_ = messageBlock_;
        if (((from_bitField0_ & 0x00000020) == 0x00000020)) {
          to_bitField0_ |= 0x00000020;
        }
        result.idleMAX_ = idleMAX_;
        if (bufferBuilder_ == null) {
          if (((bitField0_ & 0x00000040) == 0x00000040)) {
            buffer_ = java.util.Collections.unmodifiableList(buffer_);
            bitField0_ = (bitField0_ & ~0x00000040);
          }
          result.buffer_ = buffer_;
        } else {
          result.buffer_ = bufferBuilder_.build();
        }
        result.bitField0_ = to_bitField0_;
        onBuilt();
        return result;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasTimeStamp()) {
          setTimeStamp(other.getTimeStamp());
        }
        if (other.hasMessageBlock()) {
          setMessageBlock(other.getMessageBlock());
        }
        if (other.hasIdleMAX()) {
          setIdleMAX(other.getIdleMAX());
        }
        if (bufferBuilder_ == null) {
          if (!other.buffer_.isEmpty()) {
            if (buffer_.isEmpty()) {
              buffer_ = other.buffer_;
              bitField0_ = (bitField0_ & ~0x00000040);
            } else {
              ensureBufferIsMutable();
              buffer_.addAll(other.buffer_);
            }
            onChanged();
          }
        } else {
          if (!other.buffer_.isEmpty()) {
            if (bufferBuilder_.isEmpty()) {
              bufferBuilder_.dispose();
              bufferBuilder_ = null;
              buffer_ = other.buffer_;
              bitField0_ = (bitField0_ & ~0x00000040);
              bufferBuilder_ = 
                com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders ?
                   getBufferFieldBuilder() : null;
            } else {
              bufferBuilder_.addAllMessages(other.buffer_);
            }
          }
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public final boolean isInitialized() {
        if (!hasMessageType()) {
          
          return false;
        }
        return true;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              onChanged();
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                onChanged();
                return this;
              }
              break;
            }
            case 8: {
              bitField0_ |= 0x00000001;
              sourceId_ = input.readInt64();
              break;
            }
            case 16: {
              bitField0_ |= 0x00000002;
              messageType_ = input.readInt64();
              break;
            }
            case 24: {
              bitField0_ |= 0x00000004;
              messageTime_ = input.readInt32();
              break;
            }
            case 40: {
              bitField0_ |= 0x00000008;
              timeStamp_ = input.readInt64();
              break;
            }
            case 48: {
              bitField0_ |= 0x00000010;
              messageBlock_ = input.readInt32();
              break;
            }
            case 808: {
              bitField0_ |= 0x00000020;
              idleMAX_ = input.readInt32();
              break;
            }
            case 842: {
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder subBuilder = ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addBuffer(subBuilder.buildPartial());
              break;
            }
          }
        }
      }
      
      private int bitField0_;
      
      // optional int64 sourceId = 1;
      private long sourceId_ ;
      public boolean hasSourceId() {
        return ((bitField0_ & 0x00000001) == 0x00000001);
      }
      public long getSourceId() {
        return sourceId_;
      }
      public Builder setSourceId(long value) {
        bitField0_ |= 0x00000001;
        sourceId_ = value;
        onChanged();
        return this;
      }
      public Builder clearSourceId() {
        bitField0_ = (bitField0_ & ~0x00000001);
        sourceId_ = 0L;
        onChanged();
        return this;
      }
      
      // required int64 messageType = 2 [default = 525];
      private long messageType_ = 525L;
      public boolean hasMessageType() {
        return ((bitField0_ & 0x00000002) == 0x00000002);
      }
      public long getMessageType() {
        return messageType_;
      }
      public Builder setMessageType(long value) {
        bitField0_ |= 0x00000002;
        messageType_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageType() {
        bitField0_ = (bitField0_ & ~0x00000002);
        messageType_ = 525L;
        onChanged();
        return this;
      }
      
      // optional int32 messageTime = 3;
      private int messageTime_ ;
      public boolean hasMessageTime() {
        return ((bitField0_ & 0x00000004) == 0x00000004);
      }
      public int getMessageTime() {
        return messageTime_;
      }
      public Builder setMessageTime(int value) {
        bitField0_ |= 0x00000004;
        messageTime_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageTime() {
        bitField0_ = (bitField0_ & ~0x00000004);
        messageTime_ = 0;
        onChanged();
        return this;
      }
      
      // optional int64 timeStamp = 5;
      private long timeStamp_ ;
      public boolean hasTimeStamp() {
        return ((bitField0_ & 0x00000008) == 0x00000008);
      }
      public long getTimeStamp() {
        return timeStamp_;
      }
      public Builder setTimeStamp(long value) {
        bitField0_ |= 0x00000008;
        timeStamp_ = value;
        onChanged();
        return this;
      }
      public Builder clearTimeStamp() {
        bitField0_ = (bitField0_ & ~0x00000008);
        timeStamp_ = 0L;
        onChanged();
        return this;
      }
      
      // optional int32 messageBlock = 6;
      private int messageBlock_ ;
      public boolean hasMessageBlock() {
        return ((bitField0_ & 0x00000010) == 0x00000010);
      }
      public int getMessageBlock() {
        return messageBlock_;
      }
      public Builder setMessageBlock(int value) {
        bitField0_ |= 0x00000010;
        messageBlock_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageBlock() {
        bitField0_ = (bitField0_ & ~0x00000010);
        messageBlock_ = 0;
        onChanged();
        return this;
      }
      
      // optional int32 idleMAX = 101;
      private int idleMAX_ ;
      public boolean hasIdleMAX() {
        return ((bitField0_ & 0x00000020) == 0x00000020);
      }
      public int getIdleMAX() {
        return idleMAX_;
      }
      public Builder setIdleMAX(int value) {
        bitField0_ |= 0x00000020;
        idleMAX_ = value;
        onChanged();
        return this;
      }
      public Builder clearIdleMAX() {
        bitField0_ = (bitField0_ & ~0x00000020);
        idleMAX_ = 0;
        onChanged();
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer.Data buffer = 105;
      private java.util.List<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data> buffer_ =
        java.util.Collections.emptyList();
      private void ensureBufferIsMutable() {
        if (!((bitField0_ & 0x00000040) == 0x00000040)) {
          buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data>(buffer_);
          bitField0_ |= 0x00000040;
         }
      }
      
      private com.google.protobuf.RepeatedFieldBuilder<
          ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder> bufferBuilder_;
      
      public java.util.List<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data> getBufferList() {
        if (bufferBuilder_ == null) {
          return java.util.Collections.unmodifiableList(buffer_);
        } else {
          return bufferBuilder_.getMessageList();
        }
      }
      public int getBufferCount() {
        if (bufferBuilder_ == null) {
          return buffer_.size();
        } else {
          return bufferBuilder_.getCount();
        }
      }
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data getBuffer(int index) {
        if (bufferBuilder_ == null) {
          return buffer_.get(index);
        } else {
          return bufferBuilder_.getMessage(index);
        }
      }
      public Builder setBuffer(
          int index, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data value) {
        if (bufferBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureBufferIsMutable();
          buffer_.set(index, value);
          onChanged();
        } else {
          bufferBuilder_.setMessage(index, value);
        }
        return this;
      }
      public Builder setBuffer(
          int index, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder builderForValue) {
        if (bufferBuilder_ == null) {
          ensureBufferIsMutable();
          buffer_.set(index, builderForValue.build());
          onChanged();
        } else {
          bufferBuilder_.setMessage(index, builderForValue.build());
        }
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data value) {
        if (bufferBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureBufferIsMutable();
          buffer_.add(value);
          onChanged();
        } else {
          bufferBuilder_.addMessage(value);
        }
        return this;
      }
      public Builder addBuffer(
          int index, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data value) {
        if (bufferBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureBufferIsMutable();
          buffer_.add(index, value);
          onChanged();
        } else {
          bufferBuilder_.addMessage(index, value);
        }
        return this;
      }
      public Builder addBuffer(
          ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder builderForValue) {
        if (bufferBuilder_ == null) {
          ensureBufferIsMutable();
          buffer_.add(builderForValue.build());
          onChanged();
        } else {
          bufferBuilder_.addMessage(builderForValue.build());
        }
        return this;
      }
      public Builder addBuffer(
          int index, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder builderForValue) {
        if (bufferBuilder_ == null) {
          ensureBufferIsMutable();
          buffer_.add(index, builderForValue.build());
          onChanged();
        } else {
          bufferBuilder_.addMessage(index, builderForValue.build());
        }
        return this;
      }
      public Builder addAllBuffer(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data> values) {
        if (bufferBuilder_ == null) {
          ensureBufferIsMutable();
          super.addAll(values, buffer_);
          onChanged();
        } else {
          bufferBuilder_.addAllMessages(values);
        }
        return this;
      }
      public Builder clearBuffer() {
        if (bufferBuilder_ == null) {
          buffer_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000040);
          onChanged();
        } else {
          bufferBuilder_.clear();
        }
        return this;
      }
      public Builder removeBuffer(int index) {
        if (bufferBuilder_ == null) {
          ensureBufferIsMutable();
          buffer_.remove(index);
          onChanged();
        } else {
          bufferBuilder_.remove(index);
        }
        return this;
      }
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder getBufferBuilder(
          int index) {
        return getBufferFieldBuilder().getBuilder(index);
      }
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder getBufferOrBuilder(
          int index) {
        if (bufferBuilder_ == null) {
          return buffer_.get(index);  } else {
          return bufferBuilder_.getMessageOrBuilder(index);
        }
      }
      public java.util.List<? extends ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder> 
           getBufferOrBuilderList() {
        if (bufferBuilder_ != null) {
          return bufferBuilder_.getMessageOrBuilderList();
        } else {
          return java.util.Collections.unmodifiableList(buffer_);
        }
      }
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder addBufferBuilder() {
        return getBufferFieldBuilder().addBuilder(
            ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.getDefaultInstance());
      }
      public ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder addBufferBuilder(
          int index) {
        return getBufferFieldBuilder().addBuilder(
            index, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.getDefaultInstance());
      }
      public java.util.List<ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder> 
           getBufferBuilderList() {
        return getBufferFieldBuilder().getBuilderList();
      }
      private com.google.protobuf.RepeatedFieldBuilder<
          ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder> 
          getBufferFieldBuilder() {
        if (bufferBuilder_ == null) {
          bufferBuilder_ = new com.google.protobuf.RepeatedFieldBuilder<
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder, ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.DataOrBuilder>(
                  buffer_,
                  ((bitField0_ & 0x00000040) == 0x00000040),
                  getParentForChildren(),
                  isClean());
          buffer_ = null;
        }
        return bufferBuilder_;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer)
    }
    
    static {
      defaultInstance = new AnalogResetsBuffer(true);
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsBuffer)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\022AnalogResets.proto\0223ru.omnicomm.pegasu" +
      "s.messaging.settings.analogSensor\"\221\001\n\024An" +
      "alogResetsSettings\022\020\n\010sourceId\030\001 \001(\003\022\030\n\013" +
      "messageType\030\002 \002(\003:\003524\022\023\n\013messageTime\030\003 " +
      "\001(\005\022\021\n\ttimeStamp\030\005 \001(\003\022\024\n\014messageBlock\030\006" +
      " \001(\005\022\017\n\007idleMAX\030e \001(\005\"\224\002\n\022AnalogResetsBu" +
      "ffer\022\020\n\010sourceId\030\001 \001(\003\022\030\n\013messageType\030\002 " +
      "\002(\003:\003525\022\023\n\013messageTime\030\003 \001(\005\022\021\n\ttimeSta" +
      "mp\030\005 \001(\003\022\024\n\014messageBlock\030\006 \001(\005\022\017\n\007idleMA" +
      "X\030e \001(\005\022\\\n\006buffer\030i \003(\0132L.ru.omnicomm.pe",
      "gasus.messaging.settings.analogSensor.An" +
      "alogResetsBuffer.Data\032%\n\004Data\022\016\n\006dataId\030" +
      "\001 \001(\003\022\r\n\005value\030\002 \001(\005BQ\n3ru.omnicomm.pega" +
      "sus.messaging.settings.analogSensorB\032Ana" +
      "logResetsSettingsParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsSettings_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "TimeStamp", "MessageBlock", "IdleMAX", },
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings.class,
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsSettings.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "TimeStamp", "MessageBlock", "IdleMAX", "Buffer", },
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.class,
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_descriptor =
            internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_descriptor.getNestedTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_analogSensor_AnalogResetsBuffer_Data_descriptor,
              new java.lang.String[] { "DataId", "Value", },
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.class,
              ru.omnicomm.pegasus.messaging.settings.analogSensor.AnalogResetsSettingsParser.AnalogResetsBuffer.Data.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  // @@protoc_insertion_point(outer_class_scope)
}
